Get context for Retell AI call
curl --request POST \
--url https://protegee.ai/voice/api/v1/retell/get-context \
--header 'Content-Type: application/json' \
--data '
{
"from_number": "+1234567890",
"llm_id": "<string>",
"to_number": "<string>"
}
'import requests
url = "https://protegee.ai/voice/api/v1/retell/get-context"
payload = {
"from_number": "+1234567890",
"llm_id": "<string>",
"to_number": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({from_number: '+1234567890', llm_id: '<string>', to_number: '<string>'})
};
fetch('https://protegee.ai/voice/api/v1/retell/get-context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"caller": "<string>",
"description": "<string>",
"price": "<string>",
"vendor": "<string>",
"customer_id": "<string>",
"callback": "<string>",
"email": "<string>",
"full_name": "<string>",
"memory": "<string>",
"status": "<string>",
"processor": "<string>",
"start_time": "<string>",
"debug": {}
}{
"status": "error",
"message": "<string>"
}Endpoint Examples
Retell - Get Context
Retrieves the context for a Retell AI call using the customer’s phone number
POST
/
voice
/
api
/
v1
/
retell
/
get-context
Get context for Retell AI call
Query Parameters
API token for authentication
Body
application/json
⌘I
